Name: libsdp
Epoch: 1
Version: 1.1.99
Release: 11%{?dist}
Summary: A library for direct userspace use of Sockets Direct Protocol
Group: System Environment/Libraries
License: GPL/BSD
Url: http://www.openfabrics.org/
Source: http://www.openfabrics.org/downloads/%{name}-%{version}-ofed-1.4.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
ExclusiveArch: i386 ia64 x86_64 ppc64 ppc

%description
libsdp is an LD_PRELOAD-able library that can be used to have existing
applications use InfiniBand Sockets Direct Protocol (SDP) instead of
TCP sockets, transparently and without recompilation.  For information
on how to configure libsdp, see libsdp.conf, which is installed in
$(sysconfdir) (usually /usr/local/etc or /etc).

%prep
%setup -q
%configure --sysconfdir=/etc/ofed

%build
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

# remove unpackaged files from the buildroot
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%{_libdir}/libsdp*.so*
%{_sysconfdir}/ofed/libsdp.conf
%doc COPYING ChangeLog NEWS README

%changelog
* Fri Jan 23 2009 Doug Ledford <dledford@redhat.com> - 1.1.99-11
- Update to OFED 1.4 version
- Related: bz454778

* Wed Jun 11 2008 Doug Ledford <dledford@redhat.com> - 1.1.99-10
- Add an epoch of 1 to the package (evidently the older package from the
  openib srpm had an epoch of 1, so we need it to be able to upgrade)
- Resolves: bz450915

* Tue Apr 01 2008 Doug Ledford <dledford@redhat.com> - 1.1.99-9
- Update tarball to 1.1.99 version release in OFED 1.3 final bits
- Related: bz441825

* Fri Jan 25 2008 Doug Ledford <dledford@redhat.com> - 1.1.99-1
- Resurrect old package and update to latest version

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 0.90-0.4265.1.FC5.2.1
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 0.90-0.4265.1.FC5.2
- rebuilt for new gcc4.1 snapshot and glibc changes

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Tue Nov 22 2005 Doug Ledford <dledford@redhat.com>
- Initial import to RHEL-4
